%define upstream_name    Tapper-Installer
%define upstream_version 5.0.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tapper - Install everything needed for a test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Daemon::Daemonize)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Type)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(Linux::Personality)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Tapper::Remote::Config)
BuildRequires: perl(Tapper::Remote::Net)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildRequires: perl(common::sense)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(warnings)
BuildArch:  noarch

%global __requires_exclude /sbin/runscript

%description
A learned sage once wrote on IRC:

   $^O is stupid and ugly, it wears its pants as a hat

Devel::CheckOS provides a more friendly interface to $^O, and also lets you
check for various OS "families" such as "Unix", which includes things like
Linux, Solaris, AIX etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tapper-installer-client.pl
/usr/bin/tapper-installer-simnow.pl
/usr/share/man/man1/tapper-installer-client.pl.1.xz
/usr/share/man/man1/tapper-installer-simnow.pl.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 5.0.0-3.mga8
+ Revision: 1506212
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.0.0-2.mga7
+ Revision: 1286234
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 sander85 <sander85> 5.0.0-1.mga7
+ Revision: 1133363
- update to 5.0.0

* Sun Jun 19 2016 pterjan <pterjan> 4.1.1-8.mga6
+ Revision: 1033703
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 4.1.1-7.mga6
+ Revision: 949718
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 4.1.1-6.mga5
+ Revision: 790357
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-5.mga5
+ Revision: 739919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.1-4.mga5
+ Revision: 686313
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514843
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 332429
- update to 4.1.1

* Wed Oct 24 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 309803
- Fix the installation of the noarch rpm
- imported package perl-Tapper-Installer


* Wed Oct 24 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
